<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryLightMulti.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryLightMulti_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryLightMulti.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessoryLightMulti_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessoryLightMulti_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Accessory.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifndef NO_LIGHT</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#define LIGHTMULTI(list, nb)    ((AccessoryLightMulti *) (list)[nb])</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoryLightMulti.html">AccessoryLightMulti</a> : <span class="keyword">public</span> <a class="code" href="classAccessory.html">Accessory</a></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="comment">// Dont use a chained list here, because the user only gives a number. He does not add lights one by one...</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <a class="code" href="classAccessoryBaseLight.html">AccessoryBaseLight</a> *pLights;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="keywordtype">int</span> *pMovingPositionBlinks;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        uint8_t lightsSize;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <a class="code" href="classAccessoryLightMulti.html#adc4e714b7f01c4e52fd9c43b019508c4">AccessoryLightMulti</a>();</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        </div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a2048a93d24ba8c9ebcec76943489ea91">begin</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, uint8_t inSize, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inBlinkDuration);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a78bf5f84b109939af2c7c13cd51bd9d0">beginLight</a>(uint8_t inIndex, <a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">int</span> inIntensity = 255);</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a6b6bfb68a1e0a43014e4513a31eb9b75">   64</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryLightMulti.html#a6b6bfb68a1e0a43014e4513a31eb9b75">IsOn</a>(uint8_t inIndex)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pLights[inIndex].<a class="code" href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">IsOn</a>(); }</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a8009f072b92207ca2973dba58fe27f08">   69</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryLightMulti.html#a8009f072b92207ca2973dba58fe27f08">IsBlinking</a>(uint8_t inIndex)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pLights[inIndex].<a class="code" href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">IsBlinking</a>(); }</div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#ace2d14897b7bd7507ae2efd9559f414b">   75</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryLightMulti.html#ace2d14897b7bd7507ae2efd9559f414b">IsFading</a>(uint8_t inIndex)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pLights[inIndex].<a class="code" href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">IsFading</a>(); }</div><div class="line"><a name="l00079"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a43c0226e1ecd6631fa58c1535d222ae1">   79</a></span>&#160;        <span class="keyword">inline</span> uint8_t <a class="code" href="classAccessoryLightMulti.html#a43c0226e1ecd6631fa58c1535d222ae1">GetSize</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;lightsSize; }</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code" href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">AddMovingPosition</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <span class="keywordtype">int</span> inOnMask, <span class="keywordtype">int</span> inBlinkMask = 0);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a4858bce0c40dcd22c889260fe3aef472">AdjustMovingPositionBlinksSize</a>(uint8_t inNewSize);</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#af2c436dc5e09105f3993e14899ec41d2">   96</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classAccessoryLightMulti.html#af2c436dc5e09105f3993e14899ec41d2">GetMovingPositionBlinksByIndex</a>(<span class="keywordtype">int</span> inIndex)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pMovingPositionBlinks[inIndex]; }</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a4908ded538e80f4bcf00121abc530e02">  101</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a4908ded538e80f4bcf00121abc530e02">SetBlinking</a>(uint8_t inIndex, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inBlinkingDelay) { this-&gt;pLights[inIndex].<a class="code" href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">SetBlinking</a>(inBlinkingDelay); }</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#add77cc4740dc625ade9a66d26103dcf2">  107</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#add77cc4740dc625ade9a66d26103dcf2">SetFading</a>(uint8_t inIndex, uint8_t inStep, uint8_t inDelay) { this-&gt;pLights[inIndex].<a class="code" href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">SetFading</a>(inStep, inDelay); }</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#ac4176e67ab3b73ba0e497f0afd8d37c9">Event</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, <span class="keywordtype">int</span> inData = 0);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a8f44a200112a4f9a7975b5a2bfc9acee">  118</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a8f44a200112a4f9a7975b5a2bfc9acee">LightOn</a>(uint8_t inIndex) { this-&gt;pLights[inIndex].LightOn(); }</div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a66878a02b8d664908bbea1c709f1ed13">  122</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a66878a02b8d664908bbea1c709f1ed13">LightOff</a>(uint8_t inIndex) { this-&gt;pLights[inIndex].LightOff(); }</div><div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="classAccessoryLightMulti.html#a908b9ccc1cadab73a7b0c82408956242">  126</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a908b9ccc1cadab73a7b0c82408956242">Blink</a>(uint8_t inIndex) { this-&gt;pLights[inIndex].Blink(); }</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">LightOn</a>();</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">LightOff</a>();</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">Blink</a>();</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> SetState(uint8_t inIndex, ACC_STATE inState) { this-&gt;pLights[inIndex].SetState(inState); }</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        <span class="keyword">inline</span> ACC_STATE Toggle(uint8_t inIndex) { <span class="keywordflow">return</span> this-&gt;pLights[inIndex].Toggle(); }</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">IsGroupActionPending</a>(uint8_t inIndex) { <span class="keywordflow">return</span> this-&gt;pLights[inIndex].IsGroupActionPending(); }</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a>(uint8_t inIndex) { this-&gt;pLights[inIndex].StartAction(); }</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> ActionEnded(uint8_t inIndex) { <span class="keywordflow">return</span> this-&gt;pLights[inIndex].ActionEnded(); }</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keywordtype">bool</span> ActionEnded();</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        ACC_STATE Toggle();</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        <span class="keywordtype">void</span> Move(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keywordtype">void</span> Move(<span class="keywordtype">int</span> position);</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        <span class="keywordtype">void</span> MoveBlink(<span class="keywordtype">int</span> inOnMask, <span class="keywordtype">int</span> inBlinkMask);</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="preprocessor">#ifndef NO_EEPROM</span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="keywordtype">int</span> EEPROMSave(<span class="keywordtype">int</span> inPos, <span class="keywordtype">bool</span> inSimulate = <span class="keyword">false</span>);</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        <span class="keywordtype">int</span> EEPROMLoad(<span class="keywordtype">int</span> inPos);</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_DEBUG_MODE</span></div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keywordtype">void</span> CheckPort() <span class="keyword">const</span>;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        <span class="keywordtype">void</span> CheckIndex(<span class="keywordtype">int</span> inIndex, <span class="keyword">const</span> __FlashStringHelper *infunc);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;        <span class="keywordtype">void</span> printAccessory();</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keywordtype">void</span> printMovingPositions();</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;};</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classAccessory_html_aef81e617d15f62090ccce7eee4f0d3c3"><div class="ttname"><a href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">Accessory::IsGroupActionPending</a></div><div class="ttdeci">virtual bool IsGroupActionPending() const </div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00404">Accessory.hpp:404</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a8eca70cd9de57a113e4f05e19ff6f135"><div class="ttname"><a href="classAccessoryLightMulti.html#a8eca70cd9de57a113e4f05e19ff6f135">AccessoryLightMulti::Blink</a></div><div class="ttdeci">void Blink()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00093">AccessoryLightMulti.cpp:93</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a625c85995aed27f770ebeaf470e4f3d5"><div class="ttname"><a href="classAccessoryLightMulti.html#a625c85995aed27f770ebeaf470e4f3d5">AccessoryLightMulti::LightOn</a></div><div class="ttdeci">void LightOn()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00081">AccessoryLightMulti.cpp:81</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a8f44a200112a4f9a7975b5a2bfc9acee"><div class="ttname"><a href="classAccessoryLightMulti.html#a8f44a200112a4f9a7975b5a2bfc9acee">AccessoryLightMulti::LightOn</a></div><div class="ttdeci">void LightOn(uint8_t inIndex)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00118">AccessoryLightMulti.hpp:118</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_abc2f4f0a58167b6c58528e1a28ac3fff"><div class="ttname"><a href="classAccessoryLightMulti.html#abc2f4f0a58167b6c58528e1a28ac3fff">AccessoryLightMulti::LightOff</a></div><div class="ttdeci">void LightOff()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00087">AccessoryLightMulti.cpp:87</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_a1e1a200e6f6e47e63d07059c91265a91"><div class="ttname"><a href="classAccessoryBaseLight.html#a1e1a200e6f6e47e63d07059c91265a91">AccessoryBaseLight::SetFading</a></div><div class="ttdeci">void SetFading(uint8_t inStep, uint8_t inDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8cpp_source.html#l00048">AccessoryBaseLight.cpp:48</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_add77cc4740dc625ade9a66d26103dcf2"><div class="ttname"><a href="classAccessoryLightMulti.html#add77cc4740dc625ade9a66d26103dcf2">AccessoryLightMulti::SetFading</a></div><div class="ttdeci">void SetFading(uint8_t inIndex, uint8_t inStep, uint8_t inDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00107">AccessoryLightMulti.hpp:107</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_acce625a2eff7f353f1eec68a05177ac0"><div class="ttname"><a href="classAccessoryBaseLight.html#acce625a2eff7f353f1eec68a05177ac0">AccessoryBaseLight::SetBlinking</a></div><div class="ttdeci">void SetBlinking(unsigned long inBlinkingDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00084">AccessoryBaseLight.hpp:84</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a4908ded538e80f4bcf00121abc530e02"><div class="ttname"><a href="classAccessoryLightMulti.html#a4908ded538e80f4bcf00121abc530e02">AccessoryLightMulti::SetBlinking</a></div><div class="ttdeci">void SetBlinking(uint8_t inIndex, unsigned long inBlinkingDelay)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00101">AccessoryLightMulti.hpp:101</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a66878a02b8d664908bbea1c709f1ed13"><div class="ttname"><a href="classAccessoryLightMulti.html#a66878a02b8d664908bbea1c709f1ed13">AccessoryLightMulti::LightOff</a></div><div class="ttdeci">void LightOff(uint8_t inIndex)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00122">AccessoryLightMulti.hpp:122</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_af2c436dc5e09105f3993e14899ec41d2"><div class="ttname"><a href="classAccessoryLightMulti.html#af2c436dc5e09105f3993e14899ec41d2">AccessoryLightMulti::GetMovingPositionBlinksByIndex</a></div><div class="ttdeci">int GetMovingPositionBlinksByIndex(int inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00096">AccessoryLightMulti.hpp:96</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a4858bce0c40dcd22c889260fe3aef472"><div class="ttname"><a href="classAccessoryLightMulti.html#a4858bce0c40dcd22c889260fe3aef472">AccessoryLightMulti::AdjustMovingPositionBlinksSize</a></div><div class="ttdeci">void AdjustMovingPositionBlinksSize(uint8_t inNewSize)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00050">AccessoryLightMulti.cpp:50</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a9cb4fc1241f7554a65ac7f5200d64a06"><div class="ttname"><a href="classAccessoryLightMulti.html#a9cb4fc1241f7554a65ac7f5200d64a06">AccessoryLightMulti::AddMovingPosition</a></div><div class="ttdeci">unsigned char AddMovingPosition(unsigned long inId, int inOnMask, int inBlinkMask = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00066">AccessoryLightMulti.cpp:66</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a43c0226e1ecd6631fa58c1535d222ae1"><div class="ttname"><a href="classAccessoryLightMulti.html#a43c0226e1ecd6631fa58c1535d222ae1">AccessoryLightMulti::GetSize</a></div><div class="ttdeci">uint8_t GetSize() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00079">AccessoryLightMulti.hpp:79</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_aa3b580656c99a87a7e88946f407e712d"><div class="ttname"><a href="classAccessoryBaseLight.html#aa3b580656c99a87a7e88946f407e712d">AccessoryBaseLight::IsFading</a></div><div class="ttdeci">bool IsFading() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00074">AccessoryBaseLight.hpp:74</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_ac82a7a3b7ab0da4aefd959d03ba0ed4a"><div class="ttname"><a href="classAccessoryBaseLight.html#ac82a7a3b7ab0da4aefd959d03ba0ed4a">AccessoryBaseLight::IsBlinking</a></div><div class="ttdeci">bool IsBlinking() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00069">AccessoryBaseLight.hpp:69</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a8009f072b92207ca2973dba58fe27f08"><div class="ttname"><a href="classAccessoryLightMulti.html#a8009f072b92207ca2973dba58fe27f08">AccessoryLightMulti::IsBlinking</a></div><div class="ttdeci">bool IsBlinking(uint8_t inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00069">AccessoryLightMulti.hpp:69</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html_afdc391fd30e2632e64cd48cc64504f28"><div class="ttname"><a href="classAccessoryBaseLight.html#afdc391fd30e2632e64cd48cc64504f28">AccessoryBaseLight::IsOn</a></div><div class="ttdeci">bool IsOn() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00065">AccessoryBaseLight.hpp:65</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a908b9ccc1cadab73a7b0c82408956242"><div class="ttname"><a href="classAccessoryLightMulti.html#a908b9ccc1cadab73a7b0c82408956242">AccessoryLightMulti::Blink</a></div><div class="ttdeci">void Blink(uint8_t inIndex)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00126">AccessoryLightMulti.hpp:126</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a6b6bfb68a1e0a43014e4513a31eb9b75"><div class="ttname"><a href="classAccessoryLightMulti.html#a6b6bfb68a1e0a43014e4513a31eb9b75">AccessoryLightMulti::IsOn</a></div><div class="ttdeci">bool IsOn(uint8_t inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00064">AccessoryLightMulti.hpp:64</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_ac4176e67ab3b73ba0e497f0afd8d37c9"><div class="ttname"><a href="classAccessoryLightMulti.html#ac4176e67ab3b73ba0e497f0afd8d37c9">AccessoryLightMulti::Event</a></div><div class="ttdeci">void Event(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00172">AccessoryLightMulti.cpp:172</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a78bf5f84b109939af2c7c13cd51bd9d0"><div class="ttname"><a href="classAccessoryLightMulti.html#a78bf5f84b109939af2c7c13cd51bd9d0">AccessoryLightMulti::beginLight</a></div><div class="ttdeci">void beginLight(uint8_t inIndex, Port *inpPort, int inIntensity = 255)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00075">AccessoryLightMulti.cpp:75</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_a2048a93d24ba8c9ebcec76943489ea91"><div class="ttname"><a href="classAccessoryLightMulti.html#a2048a93d24ba8c9ebcec76943489ea91">AccessoryLightMulti::begin</a></div><div class="ttdeci">void begin(unsigned long inId, uint8_t inSize, unsigned long inBlinkDuration)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00032">AccessoryLightMulti.cpp:32</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_adc4e714b7f01c4e52fd9c43b019508c4"><div class="ttname"><a href="classAccessoryLightMulti.html#adc4e714b7f01c4e52fd9c43b019508c4">AccessoryLightMulti::AccessoryLightMulti</a></div><div class="ttdeci">AccessoryLightMulti()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8cpp_source.html#l00012">AccessoryLightMulti.cpp:12</a></div></div>
<div class="ttc" id="classAccessory_html_ab1dad31ee3bcac4b1baf9a140c7fa57d"><div class="ttname"><a href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">Accessory::StartAction</a></div><div class="ttdeci">virtual void StartAction()</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00077">Accessory.cpp:77</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html_ace2d14897b7bd7507ae2efd9559f414b"><div class="ttname"><a href="classAccessoryLightMulti.html#ace2d14897b7bd7507ae2efd9559f414b">AccessoryLightMulti::IsFading</a></div><div class="ttdeci">bool IsFading(uint8_t inIndex) const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00075">AccessoryLightMulti.hpp:75</a></div></div>
<div class="ttc" id="classAccessoryBaseLight_html"><div class="ttname"><a href="classAccessoryBaseLight.html">AccessoryBaseLight</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryBaseLight_8hpp_source.html#l00026">AccessoryBaseLight.hpp:26</a></div></div>
<div class="ttc" id="classAccessory_html"><div class="ttname"><a href="classAccessory.html">Accessory</a></div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00140">Accessory.hpp:140</a></div></div>
<div class="ttc" id="classAccessoryLightMulti_html"><div class="ttname"><a href="classAccessoryLightMulti.html">AccessoryLightMulti</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryLightMulti_8hpp_source.html#l00035">AccessoryLightMulti.hpp:35</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryLightMulti.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
